core::UDPServerSocket Class Reference

`#include <UDPServerSocket.h>`

Inheritance diagram for core::UDPServerSocket:
[legend]
Collaboration diagram for core::UDPServerSocket:
[legend]

## Public Member Functions

| UDPServerSocket (EPoll &ePoll, std::string url, short int port, std::string commandName)
| ~UDPServerSocket ()
Public Member Functions inherited from core::UDPSocket
| UDPSocket (EPoll &ePoll)
| ~UDPSocket ()
Public Member Functions inherited from core::Socket
| Socket (EPoll &ePoll, std::string text="")
| ~Socket ()
void | shutdown (std::string text="unknown")
void | setDescriptor (int descriptor)
| Set the descriptor for the socket. More...
int | getDescriptor ()
| Get the descriptor for the socket. More...
bool | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
int | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegister ()
| Called before the socket has registered with the epoll processing. More...
virtual void | onRegistered ()
| Called after the socket has been registered with epoll processing. More...
virtual void | onUnregister ()
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
bool | needsToWrite ()
Public Member Functions inherited from core::Command
virtual bool | check (std::string request)
virtual int | processCommand (std::string request, TCPSession *session, std::stringstream &data)
virtual void | output (Session *session)
void | setName (std::string name)
std::string | getName ()

## Protected Member Functions

void | onDataReceived (std::string data) override
| Called when data is received from the socket. More...
int | processCommand (std::string request, std::stringstream &data)
Protected Member Functions inherited from core::Socket
void | setBufferSize (int length)
int | getBufferSize ()
virtual void | onDataReceived (char *buffer, int len)
virtual void | receiveData (char *buffer, int bufferLength)

## Protected Attributes

std::vector< Session * > | sessions
Protected Attributes inherited from core::Socket
EPoll & | ePoll
bool | shutDown = false

## Additional Inherited Members

Public Attributes inherited from core::Socket
bool | reset = false
Public Attributes inherited from core::Object
std::string | name
std::string | tag

## Detailed Description

UDPSocket

Manage a socket connection as a UDP server type. Connections to the socket are processed through the session list functionality. A list of sessions is maintained in a vector object.

## Constructor & Destructor Documentation

## UDPServerSocket()

core::UDPServerSocket::UDPServerSocket | ( | EPoll & | ePoll,
|  | std::string | url,
|  | short int | port,
|  | std::string | commandName
| ) |  |

## ~UDPServerSocket()

core::UDPServerSocket::~UDPServerSocket | ( |  | ) |

## Member Function Documentation

## onDataReceived()

void core::UDPServerSocket::onDataReceived | ( | std::string | data | ) |

overrideprotectedvirtual

Called when data is received from the socket.

The onConnected method is called when the socket is ready to communicate. Writing to the socket can begin on this call to initiate a contact with the remote device. The onDataReceived method is called when the socket has received an event from epoll and there is data ready to be read from the socket. The default handler will pull the data and put it into the streambuf for the socket. EPOLLIN

Parameters

  data | the data that has been received from the socket.

Reimplemented from core::Socket.

## processCommand()

int core::UDPServerSocket::processCommand | ( | std::string | request,
|  | std::stringstream & | data
| ) |  |

protected

## Member Data Documentation

## sessions

std::vector<Session *> core::UDPServerSocket::sessions

protected

The documentation for this class was generated from the following files:

- UDPServerSocket.h
- UDPServerSocket.cpp